Bug 90651 - [MAINTAINER] misc/fortune-mod-culmea-culmilor: update
Summary: [MAINTAINER] misc/fortune-mod-culmea-culmilor: update
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Edwin Groothuis
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-12-19 15:40 UTC by Ion-Mihai " IOnut " Tetcu
Modified: 2005-12-21 04:45 UTC (History)
0 users

See Also:


Attachments
fortune-mod-culmea-culmilor-2005.11.18_to_2005.12.15.diff (4.71 KB, patch)
2005-12-19 15:40 UTC, Ion-Mihai " IOnut " Tetcu
no flags Details | Diff
Makefile.fortune.diff (1.15 KB, patch)
2005-12-20 12:12 UTC, Ion-Mihai " IOnut " Tetcu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ion-Mihai " IOnut " Tetcu 2005-12-19 15:40:02 UTC

Let's try again:

Update to include "-o" file.

Move common fortune ports code in Makefile.fortune.
Make -o files code actually work.
Make fortune fiels with comments work.
Drop pkg-message but show where the fortune file is installed.

Future plans:
- add other .ro fortunes ports
- write a send-fortune tool.
Comment 1 Edwin Groothuis freebsd_committer 2005-12-20 10:57:49 UTC
State Changed
From-To: open->feedback

The pkg-plist and PLIST_FILES don't work together: %D/share/games 
still exists. Install the package and check /var/db/pkg/.../+CONTENTS 
and you see it first tries to delete the directory and then the 
files. 




Comment 2 Edwin Groothuis freebsd_committer 2005-12-20 10:57:49 UTC
Responsible Changed
From-To: freebsd-ports-bugs->edwin

I'll handle it with submitter
Comment 3 Ion-Mihai " IOnut " Tetcu 2005-12-20 12:12:08 UTC
On Tue, 20 Dec 2005 10:59:10 GMT
Edwin Groothuis <edwin@FreeBSD.org> wrote:

> Synopsis: [MAINTAINER] misc/fortune-mod-culmea-culmilor: update
> 
> State-Changed-From-To: open->feedback
> State-Changed-By: edwin
> State-Changed-When: Tue Dec 20 10:57:49 UTC 2005
> State-Changed-Why: 
> The pkg-plist and PLIST_FILES don't work together: %D/share/games
> still exists. Install the package and check /var/db/pkg/.../+CONTENTS
> and you see it first tries to delete the directory and then the
> files.

How many mistakes I can do in such a little port :(
cvs rm pkg-plist and generate it all dynamically then in attached
diff.


Thanks,

-- 
IOnut - Unregistered ;) FreeBSD "user"
  "Intellectual Property" is   nowhere near as valuable   as "Intellect"

BOFH excuse #324:
Your packets were eaten by the terminator

Comment 4 Edwin Groothuis freebsd_committer 2005-12-21 04:45:26 UTC
State Changed
From-To: feedback->closed

Committed, thanks!